Vehicles
bearerAuthAuthorizationBearer <JWT>Fahrzeuge
application/json- response
[index: integer]?curl -X GET 'https://example.com/api/v1/vehicles'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "licensePlate": "string", "vin": "string", "odometerKm": 0, "color": "string", "notes": "string", "bluetoothMac": "string", "businessReimbursementRateEur": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]bearerAuthAuthorizationBearer <JWT>application/json- body
name*string1 <= lengthlicensePlate?string|nullvin?string|nullodometerKm?|0 <= valuecolor?string|nullnotes?string|nullbluetoothMac?|^([0-9A-Fa-f]{2}:){5}[0-9A-Fa-f]{2}$businessReimbursementRateEur?|Default employer mileage reimbursement (EUR per km); null removes it. Omitted on update = unchanged.
0 <= value <= 1000Fahrzeug angelegt
application/json- response
id*stringuuidname*stringlicensePlate?string|nullvin?string|nullodometerKm?|0 <= valuecolor?string|nullnotes?string|nullbluetoothMac?string|nullbusinessReimbursementRateEur?|Default employer mileage reimbursement (EUR per km). Copied into a trip when it becomes a business trip and has no rate yet.
0 <= valuecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X POST 'https://example.com/api/v1/vehicles' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "licensePlate": "string", "vin": "string", "odometerKm": 0, "color": "string", "notes": "string", "bluetoothMac": "string", "businessReimbursementRateEur": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>id*stringuuidFahrzeug
application/json- response
id*stringuuidname*stringlicensePlate?string|nullvin?string|nullodometerKm?|0 <= valuecolor?string|nullnotes?string|nullbluetoothMac?string|nullbusinessReimbursementRateEur?|Default employer mileage reimbursement (EUR per km). Copied into a trip when it becomes a business trip and has no rate yet.
0 <= valuecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X GET 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "licensePlate": "string", "vin": "string", "odometerKm": 0, "color": "string", "notes": "string", "bluetoothMac": "string", "businessReimbursementRateEur": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>id*stringuuidFahrzeug gelöscht
curl -X DELETE 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08'bearerAuthAuthorizationBearer <JWT>id*stringuuidapplication/json- body
name*string1 <= lengthlicensePlate?string|nullvin?string|nullodometerKm?|0 <= valuecolor?string|nullnotes?string|nullbluetoothMac?|^([0-9A-Fa-f]{2}:){5}[0-9A-Fa-f]{2}$businessReimbursementRateEur?|Default employer mileage reimbursement (EUR per km); null removes it. Omitted on update = unchanged.
0 <= value <= 1000Fahrzeug aktualisiert
application/json- response
id*stringuuidname*stringlicensePlate?string|nullvin?string|nullodometerKm?|0 <= valuecolor?string|nullnotes?string|nullbluetoothMac?string|nullbusinessReimbursementRateEur?|Default employer mileage reimbursement (EUR per km). Copied into a trip when it becomes a business trip and has no rate yet.
0 <= valuecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X PUT 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "licensePlate": "string", "vin": "string", "odometerKm": 0, "color": "string", "notes": "string", "bluetoothMac": "string", "businessReimbursementRateEur": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>id*stringuuidStandardfahrzeug aktualisiert
curl -X PUT 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/default'bearerAuthAuthorizationBearer <JWT>id*stringuuidapplication/json- body
bluetoothMac*|^([0-9A-Fa-f]{2}:){5}[0-9A-Fa-f]{2}$Bluetooth-Zuordnung aktualisiert
curl -X PUT 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/bluetooth' \ -H 'Content-Type: application/json' \ -d '{ "bluetoothMac": "string"}'bearerAuthAuthorizationBearer <JWT>id*stringuuidAggregierte Fahrtenaktivität
curl -X GET 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/shared-trip-activity'bearerAuthAuthorizationBearer <JWT>id*stringuuidBestätigte Freigaben
curl -X GET 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/shares'bearerAuthAuthorizationBearer <JWT>id*stringuuidapplication/json- body
email*stringemailEinladung versendet
curl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/shares' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com"}'bearerAuthAuthorizationBearer <JWT>id*stringuuiduserId*stringuuidFreigabe entfernt
curl -X DELETE 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/shares/497f6eca-6276-4993-bfeb-53cbbbba6f08'Der Link ist 24 Stunden gültig. Nach sieben Tagen wird der Einladungsdatensatz gelöscht.
bearerAuthAuthorizationBearer <JWT>id*stringuuidFreigabelink erstellt
application/json- response
url*stringuriexpiresAt*stringdate-timecurl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/share-link'{ "url": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>token*string20 <= lengthStatus und Metadaten der Einladung
curl -X GET 'https://example.com/api/v1/vehicles/share-invitations/inspect?token=stringstringstringst'bearerAuthAuthorizationBearer <JWT>Ausstehende Einladungen
curl -X GET 'https://example.com/api/v1/vehicles/share-invitations/pending'bearerAuthAuthorizationBearer <JWT>application/json- body
token*string20 <= lengthaction*string"accept""decline"Einladung beantwortet
curl -X POST 'https://example.com/api/v1/vehicles/share-invitations/respond' \ -H 'Content-Type: application/json' \ -d '{ "token": "stringstringstringst", "action": "accept"}'bearerAuthAuthorizationBearer <JWT>id*stringuuidFahrzeug abgemeldet
curl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/deregister'bearerAuthAuthorizationBearer <JWT>Archivierte Fahrzeuge
curl -X GET 'https://example.com/api/v1/vehicles/archive'Stellt das Fahrzeug als abgemeldetes/inaktives Fahrzeug wieder her. Eine Wiederanmeldung erfolgt separat.
bearerAuthAuthorizationBearer <JWT>id*stringuuidFahrzeug wiederhergestellt
curl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore'Startet eine neue aktive Besitzperiode; frühere Abmeldungen und Fahrten bleiben erhalten.
bearerAuthAuthorizationBearer <JWT>id*stringuuidapplication/json- body
effectiveAt?stringdate-timeFahrzeug wieder angemeldet
curl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/register' \ -H 'Content-Type: application/json' \ -d '{}'bearerAuthAuthorizationBearer <JWT>id*stringuuidapplication/json- body
account*stringtransferAt*stringdate-timeBesitzerwechsel gespeichert
curl -X POST 'https://example.com/api/v1/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/transfer' \ -H 'Content-Type: application/json' \ -d '{ "account": "string", "transferAt": "2019-08-24T14:15:22Z"}'bearerAuthAuthorizationBearer <JWT>Kilometerstand-Ablesungen
curl -X GET 'https://example.com/api/v1/odometer'bearerAuthAuthorizationBearer <JWT>Fehlende Messwerte
curl -X GET 'https://example.com/api/v1/odometer/pending'bearerAuthAuthorizationBearer <JWT>vehicleId*stringuuidmonth*string^\d{4}-(0[1-9]|1[0-2])$application/json- body
odometerKm*number0 <= value <= 10000000readingDate?stringKalendertag im Monat (Kontozeitzone)
datereadingAt?|Ablesezeitpunkt; muss zum Ablesedatum passen und darf nicht in der Zukunft liegen
date-timeKilometerstand gespeichert
application/json- response
id?stringuuidvehicleId?stringuuidmonth?stringreadingDate?stringdateodometerKm?numbersource?stringrecordedAt?stringdate-timecurl -X PUT 'https://example.com/api/v1/odometer/497f6eca-6276-4993-bfeb-53cbbbba6f08/string' \ -H 'Content-Type: application/json' \ -d '{ "odometerKm": 0}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "vehicleId": "c406adf4-e700-4483-ad7a-e7447a2941cb", "month": "string", "readingDate": "2019-08-24", "odometerKm": 0, "source": "string", "recordedAt": "2019-08-24T14:15:22Z"}